From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/gsmartcontrol/
Date: Thu, 12 Dec 2024 05:12:54 +0000 (UTC) [thread overview]
Message-ID: <1733980246.a021c3b2be30d0236220baeffe0ff8991433cc14.sam@gentoo> (raw)
commit: a021c3b2be30d0236220baeffe0ff8991433cc14
Author: Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Thu Nov 7 16:51:29 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Dec 12 05:10:46 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a021c3b2
sys-apps/gsmartcontrol: add 2.0.1
Bug: https://bugs.gentoo.org/886527
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/39231
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/gsmartcontrol/Manifest | 1 +
sys-apps/gsmartcontrol/gsmartcontrol-2.0.1.ebuild | 50 +++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/sys-apps/gsmartcontrol/Manifest b/sys-apps/gsmartcontrol/Manifest
index aea538f805bd..26eb8cb2711e 100644
--- a/sys-apps/gsmartcontrol/Manifest
+++ b/sys-apps/gsmartcontrol/Manifest
@@ -1 +1,2 @@
DIST gsmartcontrol-1.1.4.tar.bz2 691155 BLAKE2B 484452b85e848ca9d0539f9fb9e63fc60f837d5e5de1d85d6ef6340fba194ea52cb2026682b263b1391a59eee4ee846dad3863dc1f0bd00296015ddcf86dda9a SHA512 a59147f7adb76fa1cfc55198d175b38f7840c0ec07563bc020757d7609891c8f67953b87a867235821f90c52bc3c8e40a8d8a57a1429e4b75a3afb3a2ada42f1
+DIST gsmartcontrol-2.0.1.tar.gz 1456341 BLAKE2B aaeb586d13b36c37dae78856dde4b929929b45d77ec741b75a4e6cbf42b0aa3c14d3525cc6ef61472a986dcd216e97aeed92d09ef330725641111fb3964b6660 SHA512 e5c1e3981d076c61cf73b69561a51a1099a1f593d3fe892048cd3fae79c241cd5533364404d46f32d385f044dd256f5e3cc68213f82063451cf1e3fda413c541
diff --git a/sys-apps/gsmartcontrol/gsmartcontrol-2.0.1.ebuild b/sys-apps/gsmartcontrol/gsmartcontrol-2.0.1.ebuild
new file mode 100644
index 000000000000..cc3c241d5b9a
--- /dev/null
+++ b/sys-apps/gsmartcontrol/gsmartcontrol-2.0.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Hard Disk Drive and SSD Health Inspection Tool"
+HOMEPAGE="https://gsmartcontrol.shaduri.dev/"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/ashaduri/gsmartcontrol"
+else
+ SRC_URI="
+ https://github.com/ashaduri/gsmartcontrol/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3 LGPL-3 0BSD Boost-1.0 ZLIB"
+#bundles catch2, nlohmann_json, tl_expected and whereami
+LICENSE+=" Boost-1.0 CC0-1.0 MIT || ( MIT WTFPL-2 )"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-cpp/glibmm:*
+ dev-cpp/gtkmm:3.0
+ dev-libs/libsigc++:2
+ sys-apps/smartmontools
+"
+RDEPEND="
+ ${DEPEND}
+ x11-apps/xmessage
+"
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local mycmakeargs=(
+ -DAPP_BUILD_EXAMPLES=OFF
+ -DAPP_BUILD_TESTS=$(usex test)
+ )
+ cmake_src_configure
+}
next reply other threads:[~2024-12-12 5:12 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-12 5:12 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-12 17:09 [gentoo-commits] repo/gentoo:master commit in: sys-apps/gsmartcontrol/ Arthur Zamarin
2025-01-12 14:49 Sam James
2022-12-18 4:20 Sam James
2022-09-18 18:36 Andreas Sturmlechner
2022-08-31 5:16 Agostino Sarubbo
2022-08-31 5:13 Agostino Sarubbo
2022-07-28 13:20 Sam James
2022-04-03 3:41 Sam James
2021-05-14 22:14 David Seifert
2018-10-05 13:55 Mikle Kolyada
2018-10-05 13:55 Mikle Kolyada
2018-10-05 12:25 Thomas Deutschmann
2017-11-13 14:23 Lars Wendler
2017-11-13 14:23 Lars Wendler
2017-10-30 0:22 Manuel Rüger
2017-10-27 12:54 Thomas Deutschmann
2017-10-04 16:06 Lars Wendler
2017-09-22 12:45 Patrice Clement
2017-09-19 23:31 Lars Wendler
2017-09-19 23:31 Lars Wendler
2017-07-26 9:51 Lars Wendler
2017-07-05 12:51 Lars Wendler
2017-05-15 9:47 Lars Wendler
2016-09-18 9:58 Pacho Ramos
2016-08-06 10:17 Pacho Ramos
2015-12-22 12:54 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733980246.a021c3b2be30d0236220baeffe0ff8991433cc14.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox